Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class DeclassifyStmt_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          polyglot.ext.jl.ast.Term_c
              polyglot.ext.jl.ast.Stmt_c
                  jif.ast.DeclassifyStmt_c

All Implemented Interfaces:
  java.lang.Cloneable, DeclassifyStmt, polyglot.ast.CompoundStmt, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term, polyglot.util.Copy

    public class DeclassifyStmt_c

extends polyglot.ext.jl.ast.Stmt_c
implements DeclassifyStmt

An implementation of the `DeclassifyStmt` interface.

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`DeclassifyStmt_c(polyglot.util.Position pos, LabelNode bound, LabelNode label, polyglot.ast.Stmt body)`

Method Summary
`java.util.List` | `acceptCFG(polyglot.visit.CFGBuilder v, java.util.List succs)`
`polyglot.ast.Stmt` | `body()`
`DeclassifyStmt` | `body(polyglot.ast.Stmt body)`
`LabelNode` | `bound()`
`DeclassifyStmt` | `bound(LabelNode b)`
`polyglot.ast.Term` | `entry()`
`LabelNode` | `label()`
`DeclassifyStmt` | `label(LabelNode label)`
`void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
`protected DeclassifyStmt_c` | `reconstruct(LabelNode bound, LabelNode label, polyglot.ast.Stmt body)`
`java.lang.String` | `toString()`
`void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class polyglot.ext.jl.ast.Term_c
`exceptionCheck, exceptions, exceptions, listEntry, reachable, reachable`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isDisambiguated, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### DeclassifyStmt_c

    public DeclassifyStmt_c(polyglot.util.Position pos,
                            LabelNode bound,
                            LabelNode label,
                            polyglot.ast.Stmt body)

Method Detail

### label

    public LabelNode label()

  Specified by:
    `label` in interface `DeclassifyStmt`

### label

    public DeclassifyStmt label(LabelNode label)

  Specified by:
    `label` in interface `DeclassifyStmt`

### bound

    public LabelNode bound()

  Specified by:
    `bound` in interface `DeclassifyStmt`

### bound

    public DeclassifyStmt bound(LabelNode b)

  Specified by:
    `bound` in interface `DeclassifyStmt`

### body

    public polyglot.ast.Stmt body()

  Specified by:
    `body` in interface `DeclassifyStmt`

### body

    public DeclassifyStmt body(polyglot.ast.Stmt body)

  Specified by:
    `body` in interface `DeclassifyStmt`

### reconstruct

    protected DeclassifyStmt_c reconstruct(LabelNode bound,
                                           LabelNode label,
                                           polyglot.ast.Stmt body)

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ext.jl.ast.Node_c`

### entry

    public polyglot.ast.Term entry()

  Specified by:
    `entry` in interface `polyglot.ast.Term`
  Specified by:
    `entry` in class `polyglot.ext.jl.ast.Term_c`

### acceptCFG

    public java.util.List acceptCFG(polyglot.visit.CFGBuilder v,
                                    java.util.List succs)

  Specified by:
    `acceptCFG` in interface `polyglot.ast.Term`
  Specified by:
    `acceptCFG` in class `polyglot.ext.jl.ast.Term_c`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `polyglot.ext.jl.ast.Node_c`

### prettyPrint

    public void prettyPrint(polyglot.util.CodeWriter w,
                            polyglot.visit.PrettyPrinter tr)

  Specified by:
    `prettyPrint` in interface `polyglot.ast.NodeOps`
  Overrides:
    `prettyPrint` in class `polyglot.ext.jl.ast.Node_c`

### translate

    public void translate(polyglot.util.CodeWriter w,
                          polyglot.visit.Translator tr)

  Specified by:
    `translate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `translate` in class `polyglot.ext.jl.ast.Node_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD